const express = require('express');
const router = express.Router();
const mongoose = require('mongoose');
const cfgserver = mongoose.model('cfgserver');

const tools = require('../tools/general');

var { authenticate } = require('../middleware/authenticate');

router.post('/updateval', authenticate, async (req, res) => {
  console.log('/updateval', req.body.pairval);
  idapp = req.body.idapp;
  pair = req.body.pairval;

  return await cfgserver.findOneAndUpdate({ chiave: pair.chiave, idapp, userId: pair.userId }, { $set: pair }, { new: false })
    .then((item) => {
      // cfgserver.find({ chiave: pair.chiave }, (err, item) => {
      if (!!item) {
        res.status(200).send();
      } else {
        res.status(400).send();
      }
    }).catch(err => {
    console.log('ERR:', err);
    res.status(400).send();
  })


});


module.exports = router;
